/*

   Print File In-direct in HMG mode
  
*/

#include <hmg.ch>

PROCEDURE MAIN()

   cFileName := "ListFile.txt"
   cDefaPrinter := win_printerGetDefault()
   
   DEFINE WINDOW frmPPTF_ID ;
      AT 0,0 ;
      WIDTH 600;
      HEIGHT 200 ;
      TITLE 'Test Print a Plain Text File ( Indirect ways )' ;
      MAIN 

      ON KEY ESCAPE ACTION ThisWindow.Release
      
      DEFINE MAIN MENU
         POPUP '&Print'
            ITEM "Run NP"        ACTION Run_NP()
            ITEM "Exec File NP"  ACTION Exec_NP()
            ITEM "Shell Exec"     ACTION ShelExec()
            ITEM "Print Raw"      ACTION PrintRaw()
            SEPARATOR 
            ITEM "Exit"          ACTION ThisWindow.Release
         END POPUP
      END MENU
        
      DEFINE STATUSBAR FONT 'Verdana' SIZE 8
         STATUSITEM cFileName 
         STATUSITEM PADC( cDefaPrinter, 20 )
      END STATUSBAR

   END WINDOW

   frmPPTF_ID.Center
   frmPPTF_ID.Activate   
   
RETU // Main()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE Run_NP()
   cCmd := "NOTEPAD /P " + cFileName
   RUN ( cCmd)
   MsgBox( cFileName + " sent to " + cDefaPrinter + " via RUN NotePad" )
RETURN // Run_NP()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE Exec_NP()
   EXECUTE FILE "NOTEPAD.EXE" PARAMETERS "/P " + cFileName
   MsgBox( cFileName + " sent to " + cDefaPrinter + " via EXECUTE FILE NotePad" )
RETURN // Exec_NP()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE ShelExec()
   SHELLEXECUTE( 0, "print", cFileName )
   MsgBox( cFileName + " sent " + cDefaPrinter + " via SHELLEXECUTE()" )
RETURN // ShelExec()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

PROCEDURE PrintRaw()
   MsgBox( "win_PrintFileRaw() returned: " + hb_ntos( win_PrintFileRaw( cDefaPrinter, cFileName, "testing raw printing" ) ) )
RETURN // PrintRaw()

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

